OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::dsp::WaveShaper< FloatType, Function > Struct Template Reference

`#include <juce_WaveShaper.h>`

## Public Member Functions
void | prepare (const ProcessSpec &) noexcept
template<typename SampleType >
SampleType JUCE_VECTOR_CALLTYPE | processSample (SampleType inputSample) const noexcept
template<typename ProcessContext >
void | process (const ProcessContext &context) const noexcept
void | reset () noexcept

## Public Attributes
Function | functionToUse

## Detailed Description

template<typename FloatType, typename Function = FloatType (*) (FloatType)>
struct juce::dsp::WaveShaper< FloatType, Function >

Applies waveshaping to audio samples as single samples or AudioBlocks.

Definition at line 35 of file juce_WaveShaper.h.

## Member Function Documentation

## ◆ prepare()

template<typename FloatType , typename Function = FloatType (*) (FloatType)>

void juce::dsp::WaveShaper< FloatType, Function >::prepare | ( | const ProcessSpec & |  | ) |
| inline noexcept

Called before processing starts.

Definition at line 41 of file juce_WaveShaper.h.

## ◆ process()

template<typename FloatType , typename Function = FloatType (*) (FloatType)>
template<typename ProcessContext >

void juce::dsp::WaveShaper< FloatType, Function >::process | ( | const ProcessContext & | context | ) | const
| inline noexcept

Processes the input and output buffers supplied in the processing context.

Definition at line 53 of file juce_WaveShaper.h.

## ◆ processSample()

template<typename FloatType , typename Function = FloatType (*) (FloatType)>
template<typename SampleType >

SampleType JUCE_VECTOR_CALLTYPE juce::dsp::WaveShaper< FloatType, Function >::processSample | ( | SampleType | inputSample | ) | const
| inline noexcept

Returns the result of processing a single sample.

Definition at line 46 of file juce_WaveShaper.h.

## ◆ reset()

template<typename FloatType , typename Function = FloatType (*) (FloatType)>

void juce::dsp::WaveShaper< FloatType, Function >::reset | ( |  | ) |
| inline noexcept

Definition at line 68 of file juce_WaveShaper.h.

## Member Data Documentation

## ◆ functionToUse

template<typename FloatType , typename Function = FloatType (*) (FloatType)>

Function juce::dsp::WaveShaper< FloatType, Function >::functionToUse

Definition at line 37 of file juce_WaveShaper.h.

The documentation for this struct was generated from the following file:

- juce_WaveShaper.h